//
//  Shader_Blitter_Textured.fsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

varying lowp vec4 colorVarying;
varying mediump vec2 texCoordVarying;

uniform sampler2D baseTexture;
uniform sampler2D baseTexture2;

#if defined (OSX)
varying mediump vec4 gl_FragCoord;
#endif

void main()
{
	//    gl_FragColor = texture2D(baseTexture, texCoordVarying) * colorVarying;
	
	mediump vec2 screenUV = (gl_FragCoord.xy * (1.0 / 256.0));
	mediump vec4 rgba1 = texture2D(baseTexture, texCoordVarying);
	mediump vec4 rgba2 = texture2D(baseTexture2, screenUV);
	
	mediump float ratio = max(0.0, sign(rgba2.z - 0.5));
	rgba1.xy = (rgba1.xy * (1.0 - ratio)) + (rgba2.xy * ratio);
	rgba1.z = max(rgba1.z, rgba2.z);
	
	//	rgba1.w *= (1.0 - sign(rgba2.z));
	
	gl_FragColor = rgba1 * colorVarying;

////    gl_FragColor = texture2D(baseTexture, texCoordVarying) * colorVarying;
//
//	mediump vec2 screenUV = (gl_FragCoord.xy * (1.0 / 256.0));
//	mediump vec4 rgba1 = texture2D(baseTexture, texCoordVarying);
//	mediump vec4 rgba2 = texture2D(baseTexture2, screenUV);
//
////	mediump float ratio = max(0.0, sign(rgba2.z - 0.5));
//	mediump float ratio = (1.0 - rgba2.z);
//	rgba1.xy = (rgba1.xy * (1.0 - ratio)) + (rgba2.xy * ratio);
//	rgba1.z = max(rgba1.z, rgba2.z);
//	
//	ratio = 1.0 - ratio;
//	ratio = max((ratio - 0.999), 0.0) * 1000.0;
//	ratio *= 0.5;
//	mediump vec3 up = vec3(0.5, 0.5, 1.0);
//	rgba1.xyz = (rgba1.xyz * (1.0 - ratio)) + (up.xyz * ratio);
//
////	rgba1.w *= (1.0 - sign(rgba2.z));
//
//	gl_FragColor = rgba1 * colorVarying;
}