//
//  Shader_Blitter_Textured.fsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

varying lowp vec4 colorVarying;
varying mediump vec2 texCoordVarying;

uniform sampler2D baseTexture;

void main()
{
	lowp vec4 texel = texture2D(baseTexture, texCoordVarying);
	
	if (texel.w < 0.5)
	{
		discard;
	}
	
    gl_FragColor = (texel * colorVarying);
}
