//
//  Shader_Blitter_Untextured.fsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

varying lowp vec4 varying_colour;

uniform highp vec4 uniform_horizonColourBlend;

void main()
{
    mediump vec3 finalRGB = varying_colour.xyz;
    
    mediump float grey = dot(vec3(0.3, 0.59, 0.51), vec3(finalRGB));
    mediump vec3 tintedRGB = (uniform_horizonColourBlend.xyz * grey);
    finalRGB *= (1.0 - uniform_horizonColourBlend.w);
    finalRGB += (tintedRGB * uniform_horizonColourBlend.w);
    
    gl_FragColor = vec4(finalRGB, 1.0);

}
