//
//  Shader_Blitter_3d_Untextured.vsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

attribute highp vec3 attrib_position;
attribute highp vec4 attrib_rgba;

varying lowp vec4 varying_colour;
varying highp vec3 varying_normal;
varying highp vec3 varying_sunVector;

uniform highp mat4 uniform_modelViewProjectionMatrix;
//uniform highp mat4 uniform_lightDirectionMat;
uniform mediump vec3 uniform_horizonSunLightDirection;

//uniform highp mat4 uniform_modelMatrix;

void main()
{
	varying_colour = attrib_rgba;
	varying_normal = normalize(attrib_position.xyz);
//	varying_sunVector = normalize(vec3(uniform_lightDirectionMat[0].x, uniform_lightDirectionMat[1].x, uniform_lightDirectionMat[2].x));
    varying_sunVector = normalize(uniform_horizonSunLightDirection);

	gl_Position = uniform_modelViewProjectionMatrix * vec4(attrib_position, 1.0);
}
