//
//  Shader_Blitter_3d_Untextured.vsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

attribute highp vec3 attrib_position;
attribute highp vec4 attrib_rgba;

varying lowp vec4 varying_colour;

uniform highp mat4 uniform_modelViewProjectionMatrix;

void main()
{
	varying_colour = vec4(attrib_rgba.xyz, 1.0);

	gl_Position = uniform_modelViewProjectionMatrix * vec4(attrib_position, 1.0);
}
