//
//  Shader_Blitter_3d_Untextured.vsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

attribute highp vec3 attrib_position;
attribute highp vec4 attrib_rgba;

varying lowp vec4 varying_colour;
varying mediump vec3 varying_normal;

uniform highp mat4 uniform_modelViewProjectionMatrix;
uniform highp mat4 uniform_lightDirectionMat;

//uniform highp mat4 uniform_modelMatrix;

void main()
{
	varying_colour = attrib_rgba;
	varying_normal = normalize(attrib_position.xyz);

	gl_Position = uniform_modelViewProjectionMatrix * vec4(attrib_position, 1.0);
}
